CertificateCreateException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.auth.shared.CertificateCreateException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.auth.shared
Class CertificateCreateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.auth.shared.CertificateCreateException

All Implemented Interfaces:
  java.io.Serializable

    public class CertificateCreateException

extends NestedException

Class for encapsulating the many exceptions that can occur when creating certificates and keys. Only used from the CertManager

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`CertificateCreateException()`
`CertificateCreateException(java.lang.String s)`
`CertificateCreateException(java.lang.String s, java.lang.Throwable t)`
`CertificateCreateException(java.lang.Throwable t)`

Method Summary

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificateCreateException

    public CertificateCreateException()

### CertificateCreateException

    public CertificateCreateException(java.lang.String s)

### CertificateCreateException

    public CertificateCreateException(java.lang.Throwable t)

### CertificateCreateException

    public CertificateCreateException(java.lang.String s,
                                      java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.